> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /yandexrealty/offers/search

> Search Yandex Realty offers (listings) in a region by deal type (buy/rent/daily rent), property type (apartment/room/house/lot/garage/commercial), market (secondary/new building) and a full set of real estate filters: rooms, price, total/living/kitchen area, floor, building year, ceiling height, wall material, renovation, decoration, bathroom layout, building class, metro, balcony, parking, furniture, no agent fee / no commission (rentals), photos and virtual tour. Returns offer cards with price, area, rooms, floor, address, metro, photos, tags and the seller.

**Price:** 20 credits per 20 results

**⚠️ Common errors:** 412: Region not found or no offers match the given region/filters



## OpenAPI

````yaml /openapi/real-estate.json post /api/yandexrealty/offers/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/yandexrealty/offers/search:
    post:
      tags:
        - /yandexrealty
      summary: /yandexrealty/offers/search
      description: >-
        Search Yandex Realty offers (listings) in a region by deal type
        (buy/rent/daily rent), property type
        (apartment/room/house/lot/garage/commercial), market (secondary/new
        building) and a full set of real estate filters: rooms, price,
        total/living/kitchen area, floor, building year, ceiling height, wall
        material, renovation, decoration, bathroom layout, building class,
        metro, balcony, parking, furniture, no agent fee / no commission
        (rentals), photos and virtual tour. Returns offer cards with price,
        area, rooms, floor, address, metro, photos, tags and the seller.


        **Price:** 20 credits per 20 results


        **⚠️ Common errors:** 412: Region not found or no offers match the given
        region/filters
      operationId: __api_yandexrealty_offers_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/YandexrealtyOffersSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/YandexrealtyOffer'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    YandexrealtyOffersSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        region:
          type: string
          minLength: 1
        deal_type:
          $ref: '#/components/schemas/YandexrealtyDealType'
          default: kupit
        property_type:
          $ref: '#/components/schemas/YandexrealtyPropertyType'
          default: kvartira
        market:
          anyOf:
            - $ref: '#/components/schemas/YandexrealtyMarket'
            - type: 'null'
        rooms:
          anyOf:
            - $ref: '#/components/schemas/YandexrealtyRooms'
            - type: 'null'
        price_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        area_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        area_max:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        living_space_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        living_space_max:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        kitchen_space_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        floor_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        floor_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        not_first_floor:
          anyOf:
            - type: boolean
            - type: 'null'
        not_last_floor:
          anyOf:
            - type: boolean
            - type: 'null'
        built_year_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        built_year_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        ceiling_height_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        building_type:
          anyOf:
            - $ref: '#/components/schemas/YandexrealtyBuildingType'
            - type: 'null'
        renovation:
          anyOf:
            - $ref: '#/components/schemas/YandexrealtyRenovation'
            - type: 'null'
        decoration:
          anyOf:
            - $ref: '#/components/schemas/YandexrealtyDecoration'
            - type: 'null'
        bathroom_unit:
          anyOf:
            - $ref: '#/components/schemas/YandexrealtyBathroomUnit'
            - type: 'null'
        building_class:
          anyOf:
            - $ref: '#/components/schemas/YandexrealtyBuildingClass'
            - type: 'null'
        metro_id:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        has_balcony:
          anyOf:
            - type: boolean
            - type: 'null'
        has_parking:
          anyOf:
            - type: boolean
            - type: 'null'
        has_furniture:
          anyOf:
            - type: boolean
            - type: 'null'
        no_agent_fee:
          anyOf:
            - type: boolean
            - type: 'null'
        no_commission:
          anyOf:
            - type: boolean
            - type: 'null'
        has_photo:
          anyOf:
            - type: boolean
            - type: 'null'
        has_virtual_tour:
          anyOf:
            - type: boolean
            - type: 'null'
        sort:
          $ref: '#/components/schemas/YandexrealtyOfferSort'
          default: RELEVANCE
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - region
        - count
    YandexrealtyOffer:
      properties:
        '@type':
          type: string
          default: YandexrealtyOffer
        id:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        offer_type:
          anyOf:
            - type: string
            - type: 'null'
        offer_category:
          anyOf:
            - type: string
            - type: 'null'
        flat_type:
          anyOf:
            - type: string
            - type: 'null'
        deal_status:
          anyOf:
            - type: string
            - type: 'null'
        trust:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: integer
            - type: 'null'
        price_per_meter:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        price_trend:
          anyOf:
            - type: string
            - type: 'null'
        rooms_total:
          anyOf:
            - type: integer
            - type: 'null'
        area:
          anyOf:
            - type: number
            - type: 'null'
        living_space:
          anyOf:
            - type: number
            - type: 'null'
        kitchen_space:
          anyOf:
            - type: number
            - type: 'null'
        room_spaces:
          items:
            type: number
          type: array
          default: []
        ceiling_height:
          anyOf:
            - type: number
            - type: 'null'
        floor:
          anyOf:
            - type: integer
            - type: 'null'
        floors_total:
          anyOf:
            - type: integer
            - type: 'null'
        renovation:
          anyOf:
            - type: string
            - type: 'null'
        bathroom_unit:
          anyOf:
            - type: string
            - type: 'null'
        balcony_type:
          anyOf:
            - type: string
            - type: 'null'
        window_view:
          anyOf:
            - type: string
            - type: 'null'
        is_apartments:
          anyOf:
            - type: boolean
            - type: 'null'
        is_open_plan:
          anyOf:
            - type: boolean
            - type: 'null'
        is_new_building:
          anyOf:
            - type: boolean
            - type: 'null'
        is_exclusive:
          anyOf:
            - type: boolean
            - type: 'null'
        built_year:
          anyOf:
            - type: integer
            - type: 'null'
        building_type:
          anyOf:
            - type: string
            - type: 'null'
        building_series:
          anyOf:
            - type: string
            - type: 'null'
        building_id:
          anyOf:
            - type: string
            - type: 'null'
        flats_count:
          anyOf:
            - type: integer
            - type: 'null'
        porches_count:
          anyOf:
            - type: integer
            - type: 'null'
        parking_type:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        metro:
          anyOf:
            - $ref: '#/components/schemas/YandexrealtyMetro'
            - type: 'null'
        metro_list:
          items:
            $ref: '#/components/schemas/YandexrealtyMetro'
          type: array
          default: []
        rgid:
          anyOf:
            - type: integer
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        has_lift:
          anyOf:
            - type: boolean
            - type: 'null'
        has_rubbish_chute:
          anyOf:
            - type: boolean
            - type: 'null'
        is_guarded:
          anyOf:
            - type: boolean
            - type: 'null'
        has_security:
          anyOf:
            - type: boolean
            - type: 'null'
        has_internet:
          anyOf:
            - type: boolean
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        image_count:
          anyOf:
            - type: integer
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
        author:
          anyOf:
            - $ref: '#/components/schemas/YandexrealtyOfferAuthor'
            - type: 'null'
        price_history:
          items:
            $ref: '#/components/schemas/YandexrealtyPricePoint'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    YandexrealtyDealType:
      type: string
      enum:
        - kupit
        - snyat
        - snyat/posutochno
    YandexrealtyPropertyType:
      type: string
      enum:
        - kvartira
        - komnata
        - dom
        - uchastok
        - garazh
        - kommercheskaya-nedvizhimost
    YandexrealtyMarket:
      type: string
      enum:
        - vtorichniy-rynok
        - novostroyki
    YandexrealtyRooms:
      type: string
      enum:
        - STUDIO
        - '1'
        - '2'
        - '3'
        - PLUS_4
    YandexrealtyBuildingType:
      type: string
      enum:
        - BRICK
        - MONOLIT
        - PANEL
        - BLOCK
        - MONOLIT_BRICK
        - WOOD
        - FERROCONCRETE
        - STALIN
    YandexrealtyRenovation:
      type: string
      enum:
        - COSMETIC_DONE
        - DESIGNER_RENOVATION
        - EURO
        - NEEDS_RENOVATION
        - NON_GRANDMOTHER
        - GRANDMOTHER
        - PRIMARY_FINISHING
        - ROUGH
    YandexrealtyDecoration:
      type: string
      enum:
        - ROUGH
        - CLEAN
        - TURNKEY
        - NO_DECORATION
        - PRE_CLEAN
        - WHITE_BOX
    YandexrealtyBathroomUnit:
      type: string
      enum:
        - MATCHED
        - SEPARATED
        - TWO_AND_MORE
    YandexrealtyBuildingClass:
      type: string
      enum:
        - ECONOM
        - COMFORT
        - COMFORT_PLUS
        - BUSINESS
        - ELITE
    YandexrealtyOfferSort:
      type: string
      enum:
        - RELEVANCE
        - PRICE
        - PRICE_DESC
        - PRICE_PER_SQUARE
        - AREA
        - AREA_DESC
        - DATE_DESC
        - FLOOR
        - FLOOR_DESC
    YandexrealtyMetro:
      properties:
        '@type':
          type: string
          default: YandexrealtyMetro
        name:
          type: string
        transport:
          anyOf:
            - type: string
            - type: 'null'
        time_to_metro:
          anyOf:
            - type: integer
            - type: 'null'
        line_color:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    YandexrealtyOfferAuthor:
      properties:
        '@type':
          type: string
          default: YandexrealtyOfferAuthor
        id:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        organization:
          anyOf:
            - type: string
            - type: 'null'
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    YandexrealtyPricePoint:
      properties:
        '@type':
          type: string
          default: YandexrealtyPricePoint
        date:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````